org.apache.struts2.jasper.compiler

## Interface ErrorHandler

-     public interface ErrorHandler

  Interface for handling JSP parse and javac compilation errors.

  An implementation of this interface may be registered with the ErrorDispatcher by setting the XXX initialization parameter in the JSP page compiler and execution servlet in Catalina's web.xml file to the implementation's fully qualified class name.

  Author:
    Jan Luehe, Kin-man Chung

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `javacError(JavacErrorDetail[] details)` Processes the given javac compilation errors.
    `void` | `javacError(String errorReport, Exception exception)` Processes the given javac error report and exception.
    `void` | `jspError(String msg, Exception exception)` Processes the given JSP parse error.
    `void` | `jspError(String fname, int line, int column, String msg, Exception exception)` Processes the given JSP parse error.

- - ### Method Detail

    - #### jspError

          void jspError(String fname,
                        int line,
                        int column,
                        String msg,
                        Exception exception)
                 throws JasperException

      Processes the given JSP parse error.
      Parameters:
        `fname` - Name of the JSP file in which the parse error occurred
        `line` - Parse error line number
        `column` - Parse error column number
        `msg` - Parse error message
        `exception` - Parse exception
      Throws:
        `JasperException` - in case of Jasper errors

    - #### jspError

          void jspError(String msg,
                        Exception exception)
                 throws JasperException

      Processes the given JSP parse error.
      Parameters:
        `msg` - Parse error message
        `exception` - Parse exception
      Throws:
        `JasperException` - in case of Jasper errors

    - #### javacError

          void javacError(JavacErrorDetail[] details)
                   throws JasperException

      Processes the given javac compilation errors.
      Parameters:
        `details` - Array of JavacErrorDetail instances corresponding to the compilation errors
      Throws:
        `JasperException` - in case of Jasper errors

    - #### javacError

          void javacError(String errorReport,
                          Exception exception)
                   throws JasperException

      Processes the given javac error report and exception.
      Parameters:
        `errorReport` - Compilation error report
        `exception` - Compilation exception
      Throws:
        `JasperException` - in case of Jasper errors

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.